Web lists-archives.com

Re: Debian part of a version number when epoch is bumped




On Fri, Feb 9, 2018 at 2:22 PM, Andrey Rahmatullin <wrar@xxxxxxxxxx> wrote:
> On Fri, Feb 09, 2018 at 06:58:49PM +0100, Philipp Kern wrote:
>> If Ubuntu uses an epoch without Debian following that decision, they can
>> never sync with Debian again, increasing the maintenance burden
>> indefinitely.
> See e.g. libpulse0 (pulseaudio), sadly (I needed to repack a $job package
> and fix the Depends line to use the package on Debian because of that).

Would it hurt to take those epoch bumps into Debian?

For instance, the only difference gnome-calculator has in Ubuntu now
is the epoch bump.

The background is that gcalctool 6.4 was renamed upstream to
gnome-calculator 3.7. An overhauled upstream version numbering system
seemed a pretty clear case for adding an epoch. A month after this
landed in Ubuntu, the Debian packaging used a dh_gencontrol hack to
only use an epoch for the transitional package gcalctool allowing the
rest of gnome-calculator to avoid an epoch. Pretty cool trick except
that it just causes extra work in Ubuntu multiple times a year.

Thanks,
Jeremy Bicha